# UTM Parameters

EngineRoom's Pixel uses [UTM parameters](https://support.google.com/analytics/answer/10917952) to help attribute where your website leads are coming from. It is important to ensure your UTM parameters are setup correctly and using industry best practices.

### Why Do You Need UTM Parameters?

UTM parameters help website owners uncover the "dark" traffic.

The majority of the traffic comes from "direct."

Dark traffic includes clicks from emails, from docs like this one, from mobile messengers, bookmarks, people typing in the URL directly into the browser, websites that don't give analytics tools a referrer, such as Discord, and much more. Site owners cannot see which referrer sources are sending that traffic.

With UTM parameters, you will be able to differentiate one from the other.

### How Do I Use UTM Parameters?

To create your UTM parameters, you can use a website like [UTM Builder](https://utmbuilder.net/).

**UTM Source**

The name of the campaign source where you plan to share the link.

Such as Facebook, Google, Reddit, etc.

The <mark style="color:red;">**`utm_source`**</mark> parameter is required.

#### **UTM Medium**

While Source determines **where** the visitor came from, Medium is how they arrived at your site. For example, one visitor can come from a blog post from Facebook while another can come from an ad from Facebook. It’s the group or category of the source. Examples include:

* Social
* Email Newsletter
* CPC
* Affiliate

The <mark style="color:red;">**`utm_medium`**</mark> parameter is required.

#### **UTM Campaign**

This is the name that you give to your campaign. For example:

* Black+friday+sale
* December+sale
* Special+limited+time+offer

UTM campaign allows you to remember your campaign. After 6 months, you might want to look at your campaigns, and the only way that you can differentiate one Facebook ad from the other will be the name that you give to them.

The <mark style="color:red;">**`utm_campaign`**</mark> parameter is not required but is recommended for accurate campaign-level attribution.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.engineroom.com.au/engineroom-pixel/utm-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
